Summary: A Command Line MIDI Player Through the ALSA Sequencer.
Name: pmidi
Version: 1.6.0
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
Source: http://dl.sf.net/pmidi/pmidi-%{version}.tar.gz
URL: http://pmidi.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: alsa-lib-devel glib-devel

%description
pmidi is a command line midi player for ALSA.  It can play to any MIDI
device that is supported by ALSA.  Most external MIDI ports are supported.
The sfxload program included with the awesfx is required to load a sound
font first to using the internal synthesizer on a SB Live! or SB AWE32/64.

%prep
%setup -q

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
    CFLAGS="${RPM_OPT_FLAGS}" ./autogen.sh --prefix=%{_prefix}
else
    %configure
fi
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install-strip

%clean
%{__rm} -rf %{buildroot}

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Apr 15 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.0-2
- rebuild on fc6

* Mon Dec 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file tweaks

* Thu Jun 10 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.0-1
- updated to 1.6.0, added buildrequires

* Fri Dec  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.5-2
- fix executable name in 7.3

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.5-1
- spec file tweaks

* Wed Aug 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.5-1
- initial release based on the spec file included in the package
